com.saxonica.serialize

## Class Base64BinaryEmitter

- java.lang.Object
- - net.sf.saxon.serialize.Emitter
  - - com.saxonica.serialize.BinaryEmitter
    - - com.saxonica.serialize.Base64BinaryEmitter

- All Implemented Interfaces:
    Result, Receiver

      public class Base64BinaryEmitter
      extends BinaryEmitter

  This emitter implements output method saxon:base64Binary. All nodes in the result tree other than text nodes are ignored. Text nodes are required to be in the lexical space of base64binary, and are serialized by writing the corresponding octets to the output file. All other serialization parameters are ignored

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.serialize.Emitter

      `allCharactersEncodable, characterSet, namePool, outputProperties, outputStream, pipelineConfig, streamResult, systemId, writer`

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base64BinaryEmitter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected byte[]` | `textNodeToBinary(CharSequence chars)`

    - ### Methods inherited from class com.saxonica.serialize.BinaryEmitter

      `attribute, characters, comment, endDocument, endElement, namespace, open, processingInstruction, startContent, startDocument, startElement, usesTypeAnnotations, usesWriter`

    - ### Methods inherited from class net.sf.saxon.serialize.Emitter

      `close, getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getSystemId, getWriter, makeOutputStream, makeWriter, setOutputProperties, setOutputStream, setPipelineConfiguration, setStreamResult, setSystemId, setUnparsedEntity, setWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Base64BinaryEmitter

          public Base64BinaryEmitter()

  - ### Method Detail

    - #### textNodeToBinary

          protected byte[] textNodeToBinary(CharSequence chars)
                                     throws XPathException

      Specified by:
        `textNodeToBinary` in class `BinaryEmitter`
      Throws:
        `XPathException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.